This is ToricTopology.info, produced by Macaulay2, version 1.20

ToricTopology -- homological computations in toric topology
***********************************************************

Description
===========

ToricTopology is a package for computing with quasi-toric manifolds and small
covers.

A quasi-toric manifold (or small cover) is entirely determined by a pair
consisting of a simplicial complex K and a matrix chi which is characteristic
for K.

If K has n vertices, we can think of its k-faces as sets of integers between 1
and n. A matrix chi is characteristic for K if all maximal minors of chi
indexed by the facets of  K have determinant equal to 1 or -1.

Authors
=======

  * Alvise Trevisan (see http://www.enpicom.com ) <a.trevisan@enpicom.com>
  * Alexander I. Suciu <a.suciu@neu.edu>

Version
=======

This documentation describes version 1.0 of ToricTopology.

Source code
===========

The source code from which this documentation is derived is in the file
ToricTopology.m2 (see common/share/Macaulay2/ToricTopology.m2 ).

Exports
=======

  * Types
      * QuasiToricManifold -- the class of all
        quasi-toric manifolds
      * SmallCover -- the class of all small covers
  * Functions and commands
      * bettiQTM -- Compute the betti numbers of a quasi-toric
        manifold
      * bettiSmallCover -- Compute the betti numbers of
        a small cover
      * chern -- Compute the Chern classes of a quasi-toric
        manifold
      * cohomologyRing -- Compute the cohomology ring of
        a small cover or quasi-toric manifold
      * complexProjectiveSpace -- Complex
        projective space of dimension n
      * hessenbergVariety -- Hessenberg variety
        asscoiated to the n-permutahedron
      * isValidChar -- Whether a matrix is characteristic
        for a simplicial complex
      * quasiToricManifold -- Create a quasi-toric
        manifold
      * realProjectiveSpace -- Real projective
        space of dimension n
      * smallCover -- Create a small cover
      * stiefelWhitney -- Compute the Stiefel-Whitney
        classes of a small cover
  * Methods
      * "bettiQTM(QuasiToricManifold)" -- see bettiQTM, --
        Compute the betti numbers of a quasi-toric manifold
      * "bettiQTM(ZZ,QuasiToricManifold)" -- see bettiQTM, --
        Compute the betti numbers of a quasi-toric manifold
      * "bettiSmallCover(SmallCover)" -- see bettiSmallCover,
        -- Compute the betti numbers of a small cover
      * "bettiSmallCover(ZZ,SmallCover)" -- see bettiSmallCover,
        -- Compute the betti numbers of a small cover
      * "chern(QuasiToricManifold)" -- see chern, -- Compute the
        Chern classes of a quasi-toric manifold
      * "cohomologyRing(QuasiToricManifold)" -- see cohomologyRing,
        -- Compute the cohomology ring of a small cover or
        quasi-toric manifold
      * "cohomologyRing(SmallCover)" -- see cohomologyRing,
        -- Compute the cohomology ring of a small cover or
        quasi-toric manifold
      * "complexProjectiveSpace(ZZ)" -- see complexProjectiveSpace,
        -- Complex projective space of dimension n
      * "hessenbergVariety(ZZ)" -- see hessenbergVariety,
        -- Hessenberg variety asscoiated to the
        n-permutahedron
      * "realProjectiveSpace(ZZ)" -- see realProjectiveSpace,
        -- Real projective space of dimension n
      * "stiefelWhitney(SmallCover)" -- see stiefelWhitney,
        -- Compute the Stiefel-Whitney classes of a small cover
  * Symbols
      * QTMCharacteristicMatrix (missing documentation)
      * QTMDimension (missing documentation)
      * QTMSimplicialComplex (missing documentation)

For the programmer
==================

The object ToricTopology, is a package (Macaulay2Doc).

bettiQTM -- Compute the betti numbers of a quasi-toric manifold
***************************************************************

Synopsis
========

  * Usage:
        bettiQTM(k,M)
        bettiQTM(M)
  * Inputs:
      * k, an integer (Macaulay2Doc),
      * M, a quasi-toric manifold,
  * Outputs:
      * an integer (Macaulay2Doc),
      * a list (Macaulay2Doc),

Description
===========

Compute the betti numbers of a quasi-toric manifold. If a dimension k is
specified, then only the k-th betti number of M is computed. If no dimension is
specified, all the betti numbers between 0 and the dimension of M are computed.

Ways to use bettiQTM :
======================

  * "bettiQTM(QuasiToricManifold)"
  * "bettiQTM(ZZ,QuasiToricManifold)"

For the programmer
==================

The object bettiQTM, is a method function (Macaulay2Doc).

bettiSmallCover -- Compute the betti numbers of a small cover
*************************************************************

Synopsis
========

  * Usage:
        bettiSmallCover(k,N)
        bettiSmallCover(N)
  * Inputs:
      * k, an integer (Macaulay2Doc),
      * N, a small cover,
  * Outputs:
      * an integer (Macaulay2Doc),
      * a list (Macaulay2Doc),

Description
===========

Compute the betti numbers of a small cover. If a dimension k is specified, then
only the k-th betti number of N is computed. If no dimension is specified, all
the betti numbers between 0 and the dimension of N are computed.

Ways to use bettiSmallCover :
=============================

  * "bettiSmallCover(SmallCover)"
  * "bettiSmallCover(ZZ,SmallCover)"

For the programmer
==================

The object bettiSmallCover, is a method function (Macaulay2Doc).

chern -- Compute the Chern classes of a quasi-toric manifold
************************************************************

Synopsis
========

  * Usage:
        chern(M)
  * Inputs:
      * M, a quasi-toric manifold,
  * Optional inputs (Macaulay2Doc),:
      * CoefficientRing (missing documentation) => ..., default value ZZ, null
  * Outputs:
      * a list (Macaulay2Doc),

Description
===========

Compute the Chern classes of a quasi-toric manifold. The output is a list of
elements in the cohomology ring of M.

See also
========

  * cohomologyRing -- Compute the cohomology ring of a
    small cover or quasi-toric manifold

Ways to use chern :
===================

  * "chern(QuasiToricManifold)"

For the programmer
==================

The object chern, is a method function with options (Macaulay2Doc).

cohomologyRing -- Compute the cohomology ring of a small cover or quasi-toric manifold
**************************************************************************************

Synopsis
========

  * Usage:
        cohomologyRing(N)
        cohomologyRing(M)
  * Inputs:
      * N, a small cover,
      * M, a quasi-toric manifold,
  * Outputs:
      * a quotient ring (Macaulay2Doc),

Description
===========

Compute the cohomology ring of a small cover (over ZZ/2) or quasi-toric
manifold (over ZZ).

Ways to use cohomologyRing :
============================

  * "cohomologyRing(QuasiToricManifold)"
  * "cohomologyRing(SmallCover)"

For the programmer
==================

The object cohomologyRing, is a method function with options (Macaulay2Doc).

complexProjectiveSpace -- Complex projective space of dimension n
*****************************************************************

Synopsis
========

  * Usage:
        complexProjectiveSpace(n)
  * Inputs:
      * n, an integer (Macaulay2Doc),
  * Outputs:
      * a quasi-toric manifold,

Description
===========

Complex projective space of dimension n, as small cover.

See also
========

  * realProjectiveSpace -- Real projective space of
    dimension n

Ways to use complexProjectiveSpace :
====================================

  * "complexProjectiveSpace(ZZ)"

For the programmer
==================

The object complexProjectiveSpace, is a
method function (Macaulay2Doc).

hessenbergVariety -- Hessenberg variety asscoiated to the n-permutahedron
*************************************************************************

Synopsis
========

  * Usage:
        hessenbergVariety(n)
  * Inputs:
      * n, an integer (Macaulay2Doc),
  * Outputs:
      * a small cover,

Description
===========

Hessenberg variety asscoiated to the n-permutahedron, as small cover.

Ways to use hessenbergVariety :
===============================

  * "hessenbergVariety(ZZ)"

For the programmer
==================

The object hessenbergVariety, is a method function (Macaulay2Doc).

isValidChar -- Whether a matrix is characteristic for a simplicial complex
**************************************************************************

Synopsis
========

  * Usage:
        isValidChar(K,chi)
  * Inputs:
      * K, an abstract simplicial complex (SimplicialComplexes),
      * chi, a matrix (Macaulay2Doc),
  * Outputs:
      * a Boolean value (Macaulay2Doc),

Description
===========

Checks whether chi is characteristic for K.

For the programmer
==================

The object isValidChar, is a method function (Macaulay2Doc).

QTMCharacteristicMatrix
***********************

For the programmer
==================

The object QTMCharacteristicMatrix (missing documentation) is a symbol (Macaulay2Doc).

QTMDimension
************

For the programmer
==================

The object QTMDimension (missing documentation) is a symbol (Macaulay2Doc).

QTMSimplicialComplex
********************

For the programmer
==================

The object QTMSimplicialComplex (missing documentation) is a symbol (Macaulay2Doc).

QuasiToricManifold -- the class of all quasi-toric manifolds
************************************************************

Description
===========

A quasi-toric manifold is represented by a simplicial complex K and matrix
which is characteristic for K.

See also
========

  * SmallCover -- the class of all small covers

Functions and methods returning a quasi-toric manifold :
========================================================

  * complexProjectiveSpace -- Complex projective
    space of dimension n
  * "complexProjectiveSpace(ZZ)" -- see complexProjectiveSpace,
    -- Complex projective space of dimension n
  * quasiToricManifold -- Create a quasi-toric
    manifold

Methods that use a quasi-toric manifold :
=========================================

  * "bettiQTM(QuasiToricManifold)" -- see bettiQTM, -- Compute
    the betti numbers of a quasi-toric manifold
  * "bettiQTM(ZZ,QuasiToricManifold)" -- see bettiQTM, --
    Compute the betti numbers of a quasi-toric manifold
  * "chern(QuasiToricManifold)" -- see chern, -- Compute the Chern
    classes of a quasi-toric manifold
  * "cohomologyRing(QuasiToricManifold)" -- see cohomologyRing,
    -- Compute the cohomology ring of a small cover or
    quasi-toric manifold

For the programmer
==================

The object QuasiToricManifold, is a type (Macaulay2Doc),
with ancestor classes HashTable (Macaulay2Doc),
< Thing (Macaulay2Doc).

quasiToricManifold -- Create a quasi-toric manifold
***************************************************

Synopsis
========

  * Usage:
        quasiToricManifold(K,chi)
  * Inputs:
      * K, an abstract simplicial complex (SimplicialComplexes),
      * chi, a matrix (Macaulay2Doc),
  * Outputs:
      * a quasi-toric manifold,

Description
===========

Create a quasi-toric manifold over K with characteristic matrix chi. If chi is
not characteristic for K, an error is returned.

For the programmer
==================

The object quasiToricManifold, is a method function (Macaulay2Doc).

realProjectiveSpace -- Real projective space of dimension n
***********************************************************

Synopsis
========

  * Usage:
        realProjectiveSpace(n)
  * Inputs:
      * n, an integer (Macaulay2Doc),
  * Outputs:
      * a small cover,

Description
===========

Real projective space of dimension n, as small cover.

See also
========

  * complexProjectiveSpace -- Complex projective
    space of dimension n

Ways to use realProjectiveSpace :
=================================

  * "realProjectiveSpace(ZZ)"

For the programmer
==================

The object realProjectiveSpace, is a method function (Macaulay2Doc).

SmallCover -- the class of all small covers
*******************************************

Description
===========

A small cover is represented by a simplicial complex K and matrix which is
characteristic for K.

See also
========

  * QuasiToricManifold -- the class of all
    quasi-toric manifolds

Functions and methods returning a small cover :
===============================================

  * hessenbergVariety -- Hessenberg variety
    asscoiated to the n-permutahedron
  * "hessenbergVariety(ZZ)" -- see hessenbergVariety,
    -- Hessenberg variety asscoiated to the n-permutahedron
  * realProjectiveSpace -- Real projective space of
    dimension n
  * "realProjectiveSpace(ZZ)" -- see realProjectiveSpace,
    -- Real projective space of dimension n
  * smallCover -- Create a small cover

Methods that use a small cover :
================================

  * "bettiSmallCover(SmallCover)" -- see bettiSmallCover,
    -- Compute the betti numbers of a small cover
  * "bettiSmallCover(ZZ,SmallCover)" -- see bettiSmallCover,
    -- Compute the betti numbers of a small cover
  * "cohomologyRing(SmallCover)" -- see cohomologyRing,
    -- Compute the cohomology ring of a small cover or quasi-toric manifold
  * "stiefelWhitney(SmallCover)" -- see stiefelWhitney,
    -- Compute the Stiefel-Whitney classes of a small cover

For the programmer
==================

The object SmallCover, is a type (Macaulay2Doc),
with ancestor classes HashTable (Macaulay2Doc), < Thing (Macaulay2Doc).

smallCover -- Create a small cover
**********************************

Synopsis
========

  * Usage:
        smallCover(K,chi)
  * Inputs:
      * K, an abstract simplicial complex (SimplicialComplexes),
      * chi, a matrix (Macaulay2Doc),
  * Outputs:
      * a small cover,

Description
===========

Create a small cover over K with characteristic matrix chi. If chi is not
characteristic for K, then an error is returned. The entries of chi are
automatically converted to ZZ/2 entries, if they not already so.

For the programmer
==================

The object smallCover, is a method function (Macaulay2Doc).

stiefelWhitney -- Compute the Stiefel-Whitney classes of a small cover
**********************************************************************

Synopsis
========

  * Usage:
        stiefelWhitney(N)
  * Inputs:
      * N, a small cover,
  * Outputs:
      * a list (Macaulay2Doc),

Description
===========

Compute the Stiefel-Whitney classes of a small cover. The output is a list of
elements in the cohomology ring of N.

See also
========

  * cohomologyRing -- Compute the cohomology ring of a
    small cover or quasi-toric manifold

Ways to use stiefelWhitney :
============================

  * "stiefelWhitney(SmallCover)"

For the programmer
==================

The object stiefelWhitney, is a method function (Macaulay2Doc).